<?php

namespace FiloBlu\Refilo\Remote;

use Magento\Framework\Exception\NoSuchEntityException;

/**
 * Class StockIndexer
 * @package FiloBlu\Refilo\Remote
 */
class CategoryPermissionsIndexer extends AbstractWebsiteBasedIndexer
{
    /**
     * @return string
     */
    protected function getClass(): string
    {
        return __CLASS__;
    }

    /**
     * @param array $ids
     * @return mixed|void
     * @throws NoSuchEntityException
     */
    public function executeAction(array $ids)
    {
        if (!$this->scopeConfig->isSetFlag('catalog/magento_catalogpermissions/enabled')) {
            return;
        }

        parent::executeAction($ids);
    }
}

